Changeset 1439 for branches


Ignore:
Timestamp:
Mar 14, 2010 12:40:23 PM (9 years ago)
Author:
stefan
Message:

add OsiCbc?

Location:
branches/split/Cbc
Files:
9 added
9 edited

Legend:

Unmodified
Added
Removed
  • branches/split/Cbc/Makefile.am

    r1437 r1439  
    121121
    122122pkgconfiglibdir = $(libdir)/pkgconfig
    123 pkgconfiglib_DATA = cbc.pc
     123pkgconfiglib_DATA = cbc.pc osi-cbc.pc
    124124
    125125########################################################################
  • branches/split/Cbc/Makefile.in

    r1438 r1439  
    6464        $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
    6565        $(srcdir)/cbc-uninstalled.pc.in $(srcdir)/cbc.pc.in \
    66         $(srcdir)/cbc_addlibs.txt.in $(top_srcdir)/configure \
    67         $(top_srcdir)/examples/Makefile.in \
     66        $(srcdir)/cbc_addlibs.txt.in \
     67        $(srcdir)/osi-cbc-uninstalled.pc.in $(srcdir)/osi-cbc.pc.in \
     68        $(top_srcdir)/configure $(top_srcdir)/examples/Makefile.in \
    6869        $(top_srcdir)/inc/config_cbc.h.in AUTHORS INSTALL
    6970@HAVE_EXTERNALS_TRUE@am__append_2 = Externals
     
    8081CONFIG_HEADER = $(top_builddir)/inc/config_cbc.h
    8182CONFIG_CLEAN_FILES = examples/Makefile cbc_addlibs.txt cbc.pc \
    82         cbc-uninstalled.pc
     83        cbc-uninstalled.pc osi-cbc.pc osi-cbc-uninstalled.pc
    8384SOURCES =
    8485DIST_SOURCES =
     
    171172COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    172173COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     174COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
     175COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    173176COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    174177COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    217220GLPK_DATA = @GLPK_DATA@
    218221GLPK_LIBS = @GLPK_LIBS@
     222GRB_CFLAGS = @GRB_CFLAGS@
     223GRB_DATA = @GRB_DATA@
     224GRB_LIBS = @GRB_LIBS@
    219225HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    220226HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     
    250256OPT_CFLAGS = @OPT_CFLAGS@
    251257OPT_CXXFLAGS = @OPT_CXXFLAGS@
     258OSICBC_DFLT_SOLVER_CLP_FALSE = @OSICBC_DFLT_SOLVER_CLP_FALSE@
     259OSICBC_DFLT_SOLVER_CLP_TRUE = @OSICBC_DFLT_SOLVER_CLP_TRUE@
     260OSICBC_DFLT_SOLVER_CPX_FALSE = @OSICBC_DFLT_SOLVER_CPX_FALSE@
     261OSICBC_DFLT_SOLVER_CPX_TRUE = @OSICBC_DFLT_SOLVER_CPX_TRUE@
     262OSICBC_DFLT_SOLVER_DYLP_FALSE = @OSICBC_DFLT_SOLVER_DYLP_FALSE@
     263OSICBC_DFLT_SOLVER_DYLP_TRUE = @OSICBC_DFLT_SOLVER_DYLP_TRUE@
     264OSICBC_DFLT_SOLVER_GLPK_FALSE = @OSICBC_DFLT_SOLVER_GLPK_FALSE@
     265OSICBC_DFLT_SOLVER_GLPK_TRUE = @OSICBC_DFLT_SOLVER_GLPK_TRUE@
     266OSICBC_DFLT_SOLVER_GRB_FALSE = @OSICBC_DFLT_SOLVER_GRB_FALSE@
     267OSICBC_DFLT_SOLVER_GRB_TRUE = @OSICBC_DFLT_SOLVER_GRB_TRUE@
     268OSICBC_DFLT_SOLVER_MSK_FALSE = @OSICBC_DFLT_SOLVER_MSK_FALSE@
     269OSICBC_DFLT_SOLVER_MSK_TRUE = @OSICBC_DFLT_SOLVER_MSK_TRUE@
     270OSICBC_DFLT_SOLVER_SYM_FALSE = @OSICBC_DFLT_SOLVER_SYM_FALSE@
     271OSICBC_DFLT_SOLVER_SYM_TRUE = @OSICBC_DFLT_SOLVER_SYM_TRUE@
     272OSICBC_DFLT_SOLVER_VOL_FALSE = @OSICBC_DFLT_SOLVER_VOL_FALSE@
     273OSICBC_DFLT_SOLVER_VOL_TRUE = @OSICBC_DFLT_SOLVER_VOL_TRUE@
     274OSICBC_DFLT_SOLVER_XPR_FALSE = @OSICBC_DFLT_SOLVER_XPR_FALSE@
     275OSICBC_DFLT_SOLVER_XPR_TRUE = @OSICBC_DFLT_SOLVER_XPR_TRUE@
    252276OSIDOCDIR = @OSIDOCDIR@
    253277OSIOBJDIR = @OSIOBJDIR@
     
    379403addlibs_DATA = cbc_addlibs.txt
    380404pkgconfiglibdir = $(libdir)/pkgconfig
    381 pkgconfiglib_DATA = cbc.pc
     405pkgconfiglib_DATA = cbc.pc osi-cbc.pc
    382406
    383407########################################################################
     
    449473        cd $(top_builddir) && $(SHELL) ./config.status $@
    450474cbc-uninstalled.pc: $(top_builddir)/config.status $(srcdir)/cbc-uninstalled.pc.in
     475        cd $(top_builddir) && $(SHELL) ./config.status $@
     476osi-cbc.pc: $(top_builddir)/config.status $(srcdir)/osi-cbc.pc.in
     477        cd $(top_builddir) && $(SHELL) ./config.status $@
     478osi-cbc-uninstalled.pc: $(top_builddir)/config.status $(srcdir)/osi-cbc-uninstalled.pc.in
    451479        cd $(top_builddir) && $(SHELL) ./config.status $@
    452480
  • branches/split/Cbc/configure

    r1438 r1439  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA REQUIREDPACKAGES COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSISRCDIR OSIOBJDIR OSIDOCDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE CGLSRCDIR CGLOBJDIR CGLDOCDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR CPX_LIBS CPX_CFLAGS CPX_DATA COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA REQUIREDPACKAGES COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSISRCDIR OSIOBJDIR OSIDOCDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE CGLSRCDIR CGLOBJDIR CGLDOCDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR CPX_LIBS CPX_CFLAGS CPX_DATA COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11461146  --with-glpk-incdir directory with header files for using module Glpk
    11471147  --with-glpk-datadir directory with data files for using module Glpk
     1148  --with-grb-lib linker flags for using module Grb
     1149  --with-grb-incdir directory with header files for using module Grb
     1150  --with-grb-datadir directory with data files for using module Grb
    11481151  --with-msk-lib linker flags for using module Msk
    11491152  --with-msk-incdir directory with header files for using module Msk
     
    11591162                          specify default solver for cbc-generic in lower case
    11601163                          letters (if not given, clp is assumed)
     1164  --with-osicbc-default-solver
     1165                          specify underlying solver for OsiCbc (default clp)
    11611166
    11621167Some influential environment variables:
     
    58405845*-*-irix6*)
    58415846  # Find out which ABI we are using.
    5842   echo '#line 5842 "configure"' > conftest.$ac_ext
     5847  echo '#line 5847 "configure"' > conftest.$ac_ext
    58435848  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58445849  (eval $ac_compile) 2>&5
     
    69746979
    69756980# Provide some information about the compiler.
    6976 echo "$as_me:6976:" \
     6981echo "$as_me:6981:" \
    69776982     "checking for Fortran 77 compiler version" >&5
    69786983ac_compiler=`set X $ac_compile; echo $2`
     
    80418046   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80428047   -e 's:$: $lt_compiler_flag:'`
    8043    (eval echo "\"\$as_me:8043: $lt_compile\"" >&5)
     8048   (eval echo "\"\$as_me:8048: $lt_compile\"" >&5)
    80448049   (eval "$lt_compile" 2>conftest.err)
    80458050   ac_status=$?
    80468051   cat conftest.err >&5
    8047    echo "$as_me:8047: \$? = $ac_status" >&5
     8052   echo "$as_me:8052: \$? = $ac_status" >&5
    80488053   if (exit $ac_status) && test -s "$ac_outfile"; then
    80498054     # The compiler can only warn and ignore the option if not recognized
     
    83098314   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83108315   -e 's:$: $lt_compiler_flag:'`
    8311    (eval echo "\"\$as_me:8311: $lt_compile\"" >&5)
     8316   (eval echo "\"\$as_me:8316: $lt_compile\"" >&5)
    83128317   (eval "$lt_compile" 2>conftest.err)
    83138318   ac_status=$?
    83148319   cat conftest.err >&5
    8315    echo "$as_me:8315: \$? = $ac_status" >&5
     8320   echo "$as_me:8320: \$? = $ac_status" >&5
    83168321   if (exit $ac_status) && test -s "$ac_outfile"; then
    83178322     # The compiler can only warn and ignore the option if not recognized
     
    84138418   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84148419   -e 's:$: $lt_compiler_flag:'`
    8415    (eval echo "\"\$as_me:8415: $lt_compile\"" >&5)
     8420   (eval echo "\"\$as_me:8420: $lt_compile\"" >&5)
    84168421   (eval "$lt_compile" 2>out/conftest.err)
    84178422   ac_status=$?
    84188423   cat out/conftest.err >&5
    8419    echo "$as_me:8419: \$? = $ac_status" >&5
     8424   echo "$as_me:8424: \$? = $ac_status" >&5
    84208425   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84218426   then
     
    1075810763  lt_status=$lt_dlunknown
    1075910764  cat > conftest.$ac_ext <<EOF
    10760 #line 10760 "configure"
     10765#line 10765 "configure"
    1076110766#include "confdefs.h"
    1076210767
     
    1085810863  lt_status=$lt_dlunknown
    1085910864  cat > conftest.$ac_ext <<EOF
    10860 #line 10860 "configure"
     10865#line 10865 "configure"
    1086110866#include "confdefs.h"
    1086210867
     
    1320213207   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1320313208   -e 's:$: $lt_compiler_flag:'`
    13204    (eval echo "\"\$as_me:13204: $lt_compile\"" >&5)
     13209   (eval echo "\"\$as_me:13209: $lt_compile\"" >&5)
    1320513210   (eval "$lt_compile" 2>conftest.err)
    1320613211   ac_status=$?
    1320713212   cat conftest.err >&5
    13208    echo "$as_me:13208: \$? = $ac_status" >&5
     13213   echo "$as_me:13213: \$? = $ac_status" >&5
    1320913214   if (exit $ac_status) && test -s "$ac_outfile"; then
    1321013215     # The compiler can only warn and ignore the option if not recognized
     
    1330613311   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1330713312   -e 's:$: $lt_compiler_flag:'`
    13308    (eval echo "\"\$as_me:13308: $lt_compile\"" >&5)
     13313   (eval echo "\"\$as_me:13313: $lt_compile\"" >&5)
    1330913314   (eval "$lt_compile" 2>out/conftest.err)
    1331013315   ac_status=$?
    1331113316   cat out/conftest.err >&5
    13312    echo "$as_me:13312: \$? = $ac_status" >&5
     13317   echo "$as_me:13317: \$? = $ac_status" >&5
    1331313318   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1331413319   then
     
    1487614881   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1487714882   -e 's:$: $lt_compiler_flag:'`
    14878    (eval echo "\"\$as_me:14878: $lt_compile\"" >&5)
     14883   (eval echo "\"\$as_me:14883: $lt_compile\"" >&5)
    1487914884   (eval "$lt_compile" 2>conftest.err)
    1488014885   ac_status=$?
    1488114886   cat conftest.err >&5
    14882    echo "$as_me:14882: \$? = $ac_status" >&5
     14887   echo "$as_me:14887: \$? = $ac_status" >&5
    1488314888   if (exit $ac_status) && test -s "$ac_outfile"; then
    1488414889     # The compiler can only warn and ignore the option if not recognized
     
    1498014985   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1498114986   -e 's:$: $lt_compiler_flag:'`
    14982    (eval echo "\"\$as_me:14982: $lt_compile\"" >&5)
     14987   (eval echo "\"\$as_me:14987: $lt_compile\"" >&5)
    1498314988   (eval "$lt_compile" 2>out/conftest.err)
    1498414989   ac_status=$?
    1498514990   cat out/conftest.err >&5
    14986    echo "$as_me:14986: \$? = $ac_status" >&5
     14991   echo "$as_me:14991: \$? = $ac_status" >&5
    1498714992   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1498814993   then
     
    1718717192   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718817193   -e 's:$: $lt_compiler_flag:'`
    17189    (eval echo "\"\$as_me:17189: $lt_compile\"" >&5)
     17194   (eval echo "\"\$as_me:17194: $lt_compile\"" >&5)
    1719017195   (eval "$lt_compile" 2>conftest.err)
    1719117196   ac_status=$?
    1719217197   cat conftest.err >&5
    17193    echo "$as_me:17193: \$? = $ac_status" >&5
     17198   echo "$as_me:17198: \$? = $ac_status" >&5
    1719417199   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719517200     # The compiler can only warn and ignore the option if not recognized
     
    1745517460   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1745617461   -e 's:$: $lt_compiler_flag:'`
    17457    (eval echo "\"\$as_me:17457: $lt_compile\"" >&5)
     17462   (eval echo "\"\$as_me:17462: $lt_compile\"" >&5)
    1745817463   (eval "$lt_compile" 2>conftest.err)
    1745917464   ac_status=$?
    1746017465   cat conftest.err >&5
    17461    echo "$as_me:17461: \$? = $ac_status" >&5
     17466   echo "$as_me:17466: \$? = $ac_status" >&5
    1746217467   if (exit $ac_status) && test -s "$ac_outfile"; then
    1746317468     # The compiler can only warn and ignore the option if not recognized
     
    1755917564   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1756017565   -e 's:$: $lt_compiler_flag:'`
    17561    (eval echo "\"\$as_me:17561: $lt_compile\"" >&5)
     17566   (eval echo "\"\$as_me:17566: $lt_compile\"" >&5)
    1756217567   (eval "$lt_compile" 2>out/conftest.err)
    1756317568   ac_status=$?
    1756417569   cat out/conftest.err >&5
    17565    echo "$as_me:17565: \$? = $ac_status" >&5
     17570   echo "$as_me:17570: \$? = $ac_status" >&5
    1756617571   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1756717572   then
     
    2281822823
    2281922824
    22820 #AC_COIN_HAS_MODULE(Grb,     [osi-gurobi])
     22825
     22826echo "$as_me:$LINENO: checking for COIN module Grb" >&5
     22827echo $ECHO_N "checking for COIN module Grb... $ECHO_C" >&6
     22828
     22829coin_has_grb=notGiven
     22830
     22831# check if user wants to skip module in any case
     22832if test x"$COIN_SKIP_PROJECTS" != x; then
     22833  for dir in $COIN_SKIP_PROJECTS; do
     22834    if test $dir = "Grb"; then
     22835      coin_has_grb=skipping
     22836    fi
     22837  done
     22838fi
     22839
     22840GRB_LIBS=
     22841GRB_CFLAGS=
     22842GRB_DATA=
     22843
     22844
     22845
     22846
     22847
     22848required=1
     22849
     22850# execute third argument that can be used to overwrite flags like 'required'
     22851
     22852
     22853#check if user provided LIBS, CFLAGS, and DATA for module
     22854if test $coin_has_grb != skipping; then
     22855
     22856
     22857# Check whether --with-m4_tolower(Grb)-lib or --without-m4_tolower(Grb)-lib was given.
     22858if test "${with_grb_lib+set}" = set; then
     22859  withval="$with_grb_lib"
     22860  coin_has_grb=yes
     22861       GRB_LIBS="$withval"
     22862       if test $required = 1; then
     22863         ADDLIBS="$ADDLIBS $withval"
     22864       fi
     22865
     22866fi;
     22867
     22868
     22869# Check whether --with-m4_tolower(Grb)-incdir or --without-m4_tolower(Grb)-incdir was given.
     22870if test "${with_grb_incdir+set}" = set; then
     22871  withval="$with_grb_incdir"
     22872  coin_has_grb=yes
     22873     GRB_CFLAGS="-I`${CYGPATH_W} $withval`"
     22874fi;
     22875
     22876
     22877# Check whether --with-m4_tolower(Grb)-datadir or --without-m4_tolower(Grb)-datadir was given.
     22878if test "${with_grb_datadir+set}" = set; then
     22879  withval="$with_grb_datadir"
     22880  coin_has_grb=yes
     22881     GRB_DATA="$withval"
     22882fi;
     22883fi
     22884
     22885if test $coin_has_grb = notGiven; then
     22886  if test -n "$PKG_CONFIG" ; then
     22887    # assemble search path for pkg-config
     22888    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     22889
     22890    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     22891    # best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
     22892    # unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
     22893    if test -d "${prefix}"; then
     22894      PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:$PKG_CONFIG_PATH"
     22895    fi
     22896
     22897
     22898# Check whether --with-coin-instdir or --without-coin-instdir was given.
     22899if test "${with_coin_instdir+set}" = set; then
     22900  withval="$with_coin_instdir"
     22901  if test -d "$withval"; then : ; else
     22902         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     22903echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     22904   { (exit 1); exit 1; }; }
     22905       fi
     22906       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     22907
     22908fi;
     22909
     22910    # in a classic setup, we want to find uninstalled projects
     22911    # their (relative) location is written to coin_subdirs.txt by the configure in the project base directory
     22912    # unfortunately, if the user set prefix, then we do not know where the project base directory is located
     22913    # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
     22914    if test -e ../coin_subdirs.txt ; then
     22915      for i in `cat ../coin_subdirs.txt` ; do
     22916        PKG_CONFIG_PATH="../$i:$PKG_CONFIG_PATH"
     22917      done
     22918    fi
     22919
     22920    if test -e ../../coin_subdirs.txt ; then
     22921      for i in `cat ../../coin_subdirs.txt` ; do
     22922        PKG_CONFIG_PATH="../../$i:$PKG_CONFIG_PATH"
     22923      done
     22924    fi
     22925
     22926    # let pkg-config do it's magic
     22927    # need to export variable to be sure that the following pkg-config gets these values
     22928    export PKG_CONFIG_PATH
     22929
     22930
     22931
     22932if test -n "$PKG_CONFIG" ; then
     22933  if $PKG_CONFIG --exists "osi-gurobi"; then
     22934    GRB_VERSIONS="`$PKG_CONFIG --modversion osi-gurobi 2>/dev/null`"
     22935     cflags=`$PKG_CONFIG --cflags "osi-gurobi" 2>/dev/null`
     22936    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     22937        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     22938        # but only do this if is not trivial
     22939    if test "$CYGPATH_W" != "echo" ; then
     22940      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     22941          cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     22942        fi
     22943    GRB_CFLAGS="$cflags"
     22944    GRB_LIBS=`$PKG_CONFIG --libs "osi-gurobi" 2>/dev/null`
     22945    GRB_DATA=`$PKG_CONFIG --variable=datadir "osi-gurobi" 2>/dev/null`
     22946     coin_has_grb=yes
     22947        echo "$as_me:$LINENO: result: yes: $GRB_VERSIONS" >&5
     22948echo "${ECHO_T}yes: $GRB_VERSIONS" >&6
     22949        if test $required = 1; then
     22950          REQUIREDPACKAGES="$REQUIREDPACKAGES osi-gurobi"
     22951        fi
     22952
     22953
     22954  else
     22955    GRB_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors osi-gurobi`
     22956      coin_has_grb=notGiven
     22957        echo "$as_me:$LINENO: result: not given: $GRB_PKG_ERRORS" >&5
     22958echo "${ECHO_T}not given: $GRB_PKG_ERRORS" >&6
     22959
     22960  fi
     22961else
     22962  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Grb without pkg-config\"" >&5
     22963echo "$as_me: error: \"Cannot check for existance of module Grb without pkg-config\"" >&2;}
     22964   { (exit 1); exit 1; }; }
     22965fi
     22966
     22967
     22968
     22969
     22970    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     22971  else
     22972    echo "$as_me:$LINENO: result: skipped check via pkg-config" >&5
     22973echo "${ECHO_T}skipped check via pkg-config" >&6
     22974  fi
     22975
     22976else
     22977  echo "$as_me:$LINENO: result: $coin_has_grb" >&5
     22978echo "${ECHO_T}$coin_has_grb" >&6
     22979fi
     22980
     22981if test $coin_has_grb != skipping &&
     22982   test $coin_has_grb != notGiven ; then
     22983  if test -n "$GRB_CFLAGS" ; then
     22984    { echo "$as_me:$LINENO: Grb CFLAGS are $GRB_CFLAGS" >&5
     22985echo "$as_me: Grb CFLAGS are $GRB_CFLAGS" >&6;}
     22986  fi
     22987  if test -n "$GRB_LIBS" ; then
     22988    { echo "$as_me:$LINENO: Grb LIBS   are $GRB_LIBS" >&5
     22989echo "$as_me: Grb LIBS   are $GRB_LIBS" >&6;}
     22990  fi
     22991  if test -n "$GRB_DATA" ; then
     22992    { echo "$as_me:$LINENO: Grb DATA   is  $GRB_DATA" >&5
     22993echo "$as_me: Grb DATA   is  $GRB_DATA" >&6;}
     22994  fi
     22995
     22996cat >>confdefs.h <<\_ACEOF
     22997#define COIN_HAS_GRB 1
     22998_ACEOF
     22999
     23000fi
     23001
     23002# Define the Makefile conditional
     23003
     23004
     23005if test $coin_has_grb != notGiven &&
     23006                test $coin_has_grb != skipping; then
     23007  COIN_HAS_GRB_TRUE=
     23008  COIN_HAS_GRB_FALSE='#'
     23009else
     23010  COIN_HAS_GRB_TRUE='#'
     23011  COIN_HAS_GRB_FALSE=
     23012fi
     23013
     23014
     23015
    2282123016
    2282223017echo "$as_me:$LINENO: checking for COIN module Msk" >&5
     
    2364223837
    2364323838##############################################################################
     23839#                            OsiCbc configuration                            #
     23840##############################################################################
     23841
     23842# Handles configuration of the underlying default solver in OsiCbc. The issue
     23843# is that OsiCbc defines a default solver, used when the client does not
     23844# specify a solver in the constructor. The default solver must, therefore,
     23845# be present in the build. This macro checks that this is true, and sets the
     23846# compile-time symbols OSICBC_DFLT_SOLVER, OSICBC_CLP_DFLT_SOLVER, and
     23847# OSICBC_DFLT_SOLVER_HPP that control the build. The parameter default_solver
     23848# should normally be clp, unless you're working on some other solver.
     23849
     23850# Ideally, this macro would not require enumeration of solvers, but the
     23851# effort required to avoid it is just not justified at present. One enumeration
     23852# is hidden in AC_OSI_CANONICAL. The other is visible, the AM_CONDITIONAL
     23853# list at the end.
     23854
     23855# In an ideal world this macro would do absolutely nothing if Cbc is not
     23856# present, but autotools is not an ideal world and we have to satisfy its
     23857# requirements. In particular, the AM_CONDITIONAL macros need to execute or
     23858# automake will complain. Really the only thing we need to suppress is the
     23859# check that the default solver exists. All the rest is irrelevant when Cbc
     23860# isn't present (hence OsiCbc will be configured but not actually compiled).
     23861
     23862# Process the with-osicbc-default-solver option.
     23863
     23864
     23865# Check whether --with-osicbc-default-solver or --without-osicbc-default-solver was given.
     23866if test "${with_osicbc_default_solver+set}" = set; then
     23867  withval="$with_osicbc_default_solver"
     23868  osicbc_with_solver=$withval
     23869else
     23870  osicbc_with_solver=clp
     23871fi;
     23872
     23873case "${osicbc_with_solver}" in
     23874  [Cc][Ll][Pp]*)
     23875    osi_lc_solver=clp ;
     23876    osi_mc_solver=Clp ;
     23877    osi_uc_solver=CLP ;
     23878    osi_exists_solver=${coin_has_clp-"unavailable"}
     23879    ;;
     23880  [Dd][Yy][Ll][Pp]*)
     23881    osi_lc_solver=dylp ;
     23882    osi_mc_solver=Dylp
     23883    osi_uc_solver=DYLP
     23884    osi_exists_solver=${coin_has_dylp-"unavailable"}
     23885    ;;
     23886  [Cc][Pp][Xx]*)
     23887    osi_lc_solver=cpx ;
     23888    osi_mc_solver=Cpx
     23889    osi_uc_solver=CPX
     23890    osi_exists_solver=${coin_has_cpx-"unavailable"}
     23891    ;;
     23892  [Gg][Ll][Pp][Kk]*)
     23893    osi_lc_solver=glpk ;
     23894    osi_mc_solver=Glpk
     23895    osi_uc_solver=GLPK
     23896    osi_exists_solver=${coin_has_glpk-"unavailable"}
     23897    ;;
     23898  [Gg][Rr][Bb]*)
     23899    osi_lc_solver=grb ;
     23900    osi_mc_solver=Grb ;
     23901    osi_uc_solver=GRB ;
     23902    osi_exists_solver=${coin_has_grb-"unavailable"}
     23903    ;;
     23904  [Mm][Ss][Kk]*)
     23905    osi_lc_solver=msk ;
     23906    osi_mc_solver=Msk
     23907    osi_uc_solver=MSK
     23908    osi_exists_solver=${coin_has_msk-"unavailable"}
     23909    ;;
     23910  [Ss][Yy][Mm]*)
     23911    osi_lc_solver=sym ;
     23912    osi_mc_solver=Sym
     23913    osi_uc_solver=SYM
     23914    osi_exists_solver=${coin_has_sym-"unavailable"}
     23915    ;;
     23916  [Vv][Oo][Ll]*)
     23917    osi_lc_solver=vol ;
     23918    osi_mc_solver=Vol
     23919    osi_uc_solver=VOL
     23920    osi_exists_solver=${coin_has_vol-"unavailable"}
     23921    ;;
     23922  [Xx][Pp][Rr]*)
     23923    osi_lc_solver=xpr ;
     23924    osi_mc_solver=Xpr
     23925    osi_uc_solver=XPR
     23926    osi_exists_solver=${coin_has_xpr-"unavailable"}
     23927    ;;
     23928  *)
     23929    osi_lc_solver=clp ;
     23930    osi_mc_solver=Clp ;
     23931    osi_uc_solver=CLP ;
     23932    osi_exists_solver=${coin_has_clp-"unavailable"}
     23933    { echo "$as_me:$LINENO: WARNING: Unrecognised solver $1; defaulting to $osi_lc_solver." >&5
     23934echo "$as_me: WARNING: Unrecognised solver $1; defaulting to $osi_lc_solver." >&2;}
     23935    ;;
     23936esac
     23937
     23938# Check that the requested solver is available.
     23939if test $osi_exists_solver = no; then
     23940  { { echo "$as_me:$LINENO: error: selected default solver $osicbc_with_solver is unavailable.
     23941  Please select an available solver using the --with-osicbc-default-solver option." >&5
     23942echo "$as_me: error: selected default solver $osicbc_with_solver is unavailable.
     23943  Please select an available solver using the --with-osicbc-default-solver option." >&2;}
     23944   { (exit 1); exit 1; }; }
     23945fi
     23946
     23947# State the result.
     23948{ echo "$as_me:$LINENO: OsiCbc default solver is $osi_lc_solver" >&5
     23949echo "$as_me: OsiCbc default solver is $osi_lc_solver" >&6;}
     23950
     23951# And set the configuration variables.
     23952
     23953cat >>confdefs.h <<_ACEOF
     23954#define OSICBC_DFLT_SOLVER Osi${osi_mc_solver}SolverInterface
     23955_ACEOF
     23956
     23957
     23958cat >>confdefs.h <<_ACEOF
     23959#define OSICBC_DFLT_SOLVER_HPP "Osi${osi_mc_solver}SolverInterface.hpp"
     23960_ACEOF
     23961
     23962if test $osi_mc_solver = "Clp"; then
     23963
     23964cat >>confdefs.h <<\_ACEOF
     23965#define OSICBC_DFLT_SOLVER_CLP 1
     23966_ACEOF
     23967
     23968fi
     23969
     23970# Last but not least, we need automake conditionals.
     23971
     23972
     23973if test $osi_mc_solver = Clp; then
     23974  OSICBC_DFLT_SOLVER_CLP_TRUE=
     23975  OSICBC_DFLT_SOLVER_CLP_FALSE='#'
     23976else
     23977  OSICBC_DFLT_SOLVER_CLP_TRUE='#'
     23978  OSICBC_DFLT_SOLVER_CLP_FALSE=
     23979fi
     23980
     23981
     23982
     23983if test $osi_mc_solver = Cpx; then
     23984  OSICBC_DFLT_SOLVER_CPX_TRUE=
     23985  OSICBC_DFLT_SOLVER_CPX_FALSE='#'
     23986else
     23987  OSICBC_DFLT_SOLVER_CPX_TRUE='#'
     23988  OSICBC_DFLT_SOLVER_CPX_FALSE=
     23989fi
     23990
     23991
     23992
     23993if test $osi_mc_solver = Dylp; then
     23994  OSICBC_DFLT_SOLVER_DYLP_TRUE=
     23995  OSICBC_DFLT_SOLVER_DYLP_FALSE='#'
     23996else
     23997  OSICBC_DFLT_SOLVER_DYLP_TRUE='#'
     23998  OSICBC_DFLT_SOLVER_DYLP_FALSE=
     23999fi
     24000
     24001
     24002
     24003if test $osi_mc_solver = Glpk; then
     24004  OSICBC_DFLT_SOLVER_GLPK_TRUE=
     24005  OSICBC_DFLT_SOLVER_GLPK_FALSE='#'
     24006else
     24007  OSICBC_DFLT_SOLVER_GLPK_TRUE='#'
     24008  OSICBC_DFLT_SOLVER_GLPK_FALSE=
     24009fi
     24010
     24011
     24012
     24013if test $osi_mc_solver = Grb; then
     24014  OSICBC_DFLT_SOLVER_GRB_TRUE=
     24015  OSICBC_DFLT_SOLVER_GRB_FALSE='#'
     24016else
     24017  OSICBC_DFLT_SOLVER_GRB_TRUE='#'
     24018  OSICBC_DFLT_SOLVER_GRB_FALSE=
     24019fi
     24020
     24021
     24022
     24023if test $osi_mc_solver = Msk; then
     24024  OSICBC_DFLT_SOLVER_MSK_TRUE=
     24025  OSICBC_DFLT_SOLVER_MSK_FALSE='#'
     24026else
     24027  OSICBC_DFLT_SOLVER_MSK_TRUE='#'
     24028  OSICBC_DFLT_SOLVER_MSK_FALSE=
     24029fi
     24030
     24031
     24032
     24033if test $osi_mc_solver = Sym; then
     24034  OSICBC_DFLT_SOLVER_SYM_TRUE=
     24035  OSICBC_DFLT_SOLVER_SYM_FALSE='#'
     24036else
     24037  OSICBC_DFLT_SOLVER_SYM_TRUE='#'
     24038  OSICBC_DFLT_SOLVER_SYM_FALSE=
     24039fi
     24040
     24041
     24042
     24043if test $osi_mc_solver = Vol; then
     24044  OSICBC_DFLT_SOLVER_VOL_TRUE=
     24045  OSICBC_DFLT_SOLVER_VOL_FALSE='#'
     24046else
     24047  OSICBC_DFLT_SOLVER_VOL_TRUE='#'
     24048  OSICBC_DFLT_SOLVER_VOL_FALSE=
     24049fi
     24050
     24051
     24052
     24053if test $osi_mc_solver = Xpr; then
     24054  OSICBC_DFLT_SOLVER_XPR_TRUE=
     24055  OSICBC_DFLT_SOLVER_XPR_FALSE='#'
     24056else
     24057  OSICBC_DFLT_SOLVER_XPR_TRUE='#'
     24058  OSICBC_DFLT_SOLVER_XPR_FALSE=
     24059fi
     24060
     24061
     24062##############################################################################
    2364424063#                   VPATH links for example input files                      #
    2364524064##############################################################################
     
    2368024099# Here list all the files that configure should create (except for the
    2368124100# configuration header file)
    23682                                                                       ac_config_files="$ac_config_files Makefile examples/Makefile src/Makefile test/Makefile cbc_addlibs.txt cbc.pc cbc-uninstalled.pc"
     24101                                                                                                    ac_config_files="$ac_config_files Makefile examples/Makefile src/Makefile src/OsiCbc/Makefile test/Makefile cbc_addlibs.txt cbc.pc cbc-uninstalled.pc osi-cbc.pc osi-cbc-uninstalled.pc"
    2368324102
    2368424103
     
    2400724426   { (exit 1); exit 1; }; }
    2400824427fi
     24428if test -z "${COIN_HAS_GRB_TRUE}" && test -z "${COIN_HAS_GRB_FALSE}"; then
     24429  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_GRB\" was never defined.
     24430Usually this means the macro was only invoked conditionally." >&5
     24431echo "$as_me: error: conditional \"COIN_HAS_GRB\" was never defined.
     24432Usually this means the macro was only invoked conditionally." >&2;}
     24433   { (exit 1); exit 1; }; }
     24434fi
    2400924435if test -z "${COIN_HAS_MSK_TRUE}" && test -z "${COIN_HAS_MSK_FALSE}"; then
    2401024436  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_MSK\" was never defined.
     
    2403224458Usually this means the macro was only invoked conditionally." >&5
    2403324459echo "$as_me: error: conditional \"CBC_BUILD_CBC_GENERIC\" was never defined.
     24460Usually this means the macro was only invoked conditionally." >&2;}
     24461   { (exit 1); exit 1; }; }
     24462fi
     24463if test -z "${OSICBC_DFLT_SOLVER_CLP_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_CLP_FALSE}"; then
     24464  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_CLP\" was never defined.
     24465Usually this means the macro was only invoked conditionally." >&5
     24466echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_CLP\" was never defined.
     24467Usually this means the macro was only invoked conditionally." >&2;}
     24468   { (exit 1); exit 1; }; }
     24469fi
     24470if test -z "${OSICBC_DFLT_SOLVER_CPX_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_CPX_FALSE}"; then
     24471  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_CPX\" was never defined.
     24472Usually this means the macro was only invoked conditionally." >&5
     24473echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_CPX\" was never defined.
     24474Usually this means the macro was only invoked conditionally." >&2;}
     24475   { (exit 1); exit 1; }; }
     24476fi
     24477if test -z "${OSICBC_DFLT_SOLVER_DYLP_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_DYLP_FALSE}"; then
     24478  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_DYLP\" was never defined.
     24479Usually this means the macro was only invoked conditionally." >&5
     24480echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_DYLP\" was never defined.
     24481Usually this means the macro was only invoked conditionally." >&2;}
     24482   { (exit 1); exit 1; }; }
     24483fi
     24484if test -z "${OSICBC_DFLT_SOLVER_GLPK_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_GLPK_FALSE}"; then
     24485  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_GLPK\" was never defined.
     24486Usually this means the macro was only invoked conditionally." >&5
     24487echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_GLPK\" was never defined.
     24488Usually this means the macro was only invoked conditionally." >&2;}
     24489   { (exit 1); exit 1; }; }
     24490fi
     24491if test -z "${OSICBC_DFLT_SOLVER_GRB_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_GRB_FALSE}"; then
     24492  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_GRB\" was never defined.
     24493Usually this means the macro was only invoked conditionally." >&5
     24494echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_GRB\" was never defined.
     24495Usually this means the macro was only invoked conditionally." >&2;}
     24496   { (exit 1); exit 1; }; }
     24497fi
     24498if test -z "${OSICBC_DFLT_SOLVER_MSK_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_MSK_FALSE}"; then
     24499  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_MSK\" was never defined.
     24500Usually this means the macro was only invoked conditionally." >&5
     24501echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_MSK\" was never defined.
     24502Usually this means the macro was only invoked conditionally." >&2;}
     24503   { (exit 1); exit 1; }; }
     24504fi
     24505if test -z "${OSICBC_DFLT_SOLVER_SYM_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_SYM_FALSE}"; then
     24506  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_SYM\" was never defined.
     24507Usually this means the macro was only invoked conditionally." >&5
     24508echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_SYM\" was never defined.
     24509Usually this means the macro was only invoked conditionally." >&2;}
     24510   { (exit 1); exit 1; }; }
     24511fi
     24512if test -z "${OSICBC_DFLT_SOLVER_VOL_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_VOL_FALSE}"; then
     24513  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_VOL\" was never defined.
     24514Usually this means the macro was only invoked conditionally." >&5
     24515echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_VOL\" was never defined.
     24516Usually this means the macro was only invoked conditionally." >&2;}
     24517   { (exit 1); exit 1; }; }
     24518fi
     24519if test -z "${OSICBC_DFLT_SOLVER_XPR_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_XPR_FALSE}"; then
     24520  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_XPR\" was never defined.
     24521Usually this means the macro was only invoked conditionally." >&5
     24522echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_XPR\" was never defined.
    2403424523Usually this means the macro was only invoked conditionally." >&2;}
    2403524524   { (exit 1); exit 1; }; }
     
    2448224971  "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
    2448324972  "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
     24973  "src/OsiCbc/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/OsiCbc/Makefile" ;;
    2448424974  "test/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
    2448524975  "cbc_addlibs.txt" ) CONFIG_FILES="$CONFIG_FILES cbc_addlibs.txt" ;;
    2448624976  "cbc.pc" ) CONFIG_FILES="$CONFIG_FILES cbc.pc" ;;
    2448724977  "cbc-uninstalled.pc" ) CONFIG_FILES="$CONFIG_FILES cbc-uninstalled.pc" ;;
     24978  "osi-cbc.pc" ) CONFIG_FILES="$CONFIG_FILES osi-cbc.pc" ;;
     24979  "osi-cbc-uninstalled.pc" ) CONFIG_FILES="$CONFIG_FILES osi-cbc-uninstalled.pc" ;;
    2448824980  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2448924981  "inc/config_cbc.h" ) CONFIG_HEADERS="$CONFIG_HEADERS inc/config_cbc.h" ;;
     
    2474325235s,@COIN_HAS_GLPK_TRUE@,$COIN_HAS_GLPK_TRUE,;t t
    2474425236s,@COIN_HAS_GLPK_FALSE@,$COIN_HAS_GLPK_FALSE,;t t
     25237s,@GRB_LIBS@,$GRB_LIBS,;t t
     25238s,@GRB_CFLAGS@,$GRB_CFLAGS,;t t
     25239s,@GRB_DATA@,$GRB_DATA,;t t
     25240s,@COIN_HAS_GRB_TRUE@,$COIN_HAS_GRB_TRUE,;t t
     25241s,@COIN_HAS_GRB_FALSE@,$COIN_HAS_GRB_FALSE,;t t
    2474525242s,@MSK_LIBS@,$MSK_LIBS,;t t
    2474625243s,@MSK_CFLAGS@,$MSK_CFLAGS,;t t
     
    2476025257s,@CBC_BUILD_CBC_GENERIC_TRUE@,$CBC_BUILD_CBC_GENERIC_TRUE,;t t
    2476125258s,@CBC_BUILD_CBC_GENERIC_FALSE@,$CBC_BUILD_CBC_GENERIC_FALSE,;t t
     25259s,@OSICBC_DFLT_SOLVER_CLP_TRUE@,$OSICBC_DFLT_SOLVER_CLP_TRUE,;t t
     25260s,@OSICBC_DFLT_SOLVER_CLP_FALSE@,$OSICBC_DFLT_SOLVER_CLP_FALSE,;t t
     25261s,@OSICBC_DFLT_SOLVER_CPX_TRUE@,$OSICBC_DFLT_SOLVER_CPX_TRUE,;t t
     25262s,@OSICBC_DFLT_SOLVER_CPX_FALSE@,$OSICBC_DFLT_SOLVER_CPX_FALSE,;t t
     25263s,@OSICBC_DFLT_SOLVER_DYLP_TRUE@,$OSICBC_DFLT_SOLVER_DYLP_TRUE,;t t
     25264s,@OSICBC_DFLT_SOLVER_DYLP_FALSE@,$OSICBC_DFLT_SOLVER_DYLP_FALSE,;t t
     25265s,@OSICBC_DFLT_SOLVER_GLPK_TRUE@,$OSICBC_DFLT_SOLVER_GLPK_TRUE,;t t
     25266s,@OSICBC_DFLT_SOLVER_GLPK_FALSE@,$OSICBC_DFLT_SOLVER_GLPK_FALSE,;t t
     25267s,@OSICBC_DFLT_SOLVER_GRB_TRUE@,$OSICBC_DFLT_SOLVER_GRB_TRUE,;t t
     25268s,@OSICBC_DFLT_SOLVER_GRB_FALSE@,$OSICBC_DFLT_SOLVER_GRB_FALSE,;t t
     25269s,@OSICBC_DFLT_SOLVER_MSK_TRUE@,$OSICBC_DFLT_SOLVER_MSK_TRUE,;t t
     25270s,@OSICBC_DFLT_SOLVER_MSK_FALSE@,$OSICBC_DFLT_SOLVER_MSK_FALSE,;t t
     25271s,@OSICBC_DFLT_SOLVER_SYM_TRUE@,$OSICBC_DFLT_SOLVER_SYM_TRUE,;t t
     25272s,@OSICBC_DFLT_SOLVER_SYM_FALSE@,$OSICBC_DFLT_SOLVER_SYM_FALSE,;t t
     25273s,@OSICBC_DFLT_SOLVER_VOL_TRUE@,$OSICBC_DFLT_SOLVER_VOL_TRUE,;t t
     25274s,@OSICBC_DFLT_SOLVER_VOL_FALSE@,$OSICBC_DFLT_SOLVER_VOL_FALSE,;t t
     25275s,@OSICBC_DFLT_SOLVER_XPR_TRUE@,$OSICBC_DFLT_SOLVER_XPR_TRUE,;t t
     25276s,@OSICBC_DFLT_SOLVER_XPR_FALSE@,$OSICBC_DFLT_SOLVER_XPR_FALSE,;t t
    2476225277s,@LIBEXT@,$LIBEXT,;t t
    2476325278s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
  • branches/split/Cbc/configure.ac

    r1438 r1439  
    116116AC_COIN_HAS_MODULE(Cpx,      [osi-cplex])
    117117AC_COIN_HAS_MODULE(Glpk,     [osi-glpk])
    118 #AC_COIN_HAS_MODULE(Grb,     [osi-gurobi])
     118AC_COIN_HAS_MODULE(Grb,      [osi-gurobi])
    119119AC_COIN_HAS_MODULE(Msk,      [osi-mosek])
    120120#AC_COIN_HAS_MODULE(Spx,     [osi-soplex])
     
    199199
    200200##############################################################################
     201#                            OsiCbc configuration                            #
     202##############################################################################
     203
     204# Handles configuration of the underlying default solver in OsiCbc. The issue
     205# is that OsiCbc defines a default solver, used when the client does not     
     206# specify a solver in the constructor. The default solver must, therefore,   
     207# be present in the build. This macro checks that this is true, and sets the
     208# compile-time symbols OSICBC_DFLT_SOLVER, OSICBC_CLP_DFLT_SOLVER, and
     209# OSICBC_DFLT_SOLVER_HPP that control the build. The parameter default_solver
     210# should normally be clp, unless you're working on some other solver.
     211
     212# Ideally, this macro would not require enumeration of solvers, but the
     213# effort required to avoid it is just not justified at present. One enumeration
     214# is hidden in AC_OSI_CANONICAL. The other is visible, the AM_CONDITIONAL
     215# list at the end.                                                             
     216
     217# In an ideal world this macro would do absolutely nothing if Cbc is not
     218# present, but autotools is not an ideal world and we have to satisfy its
     219# requirements. In particular, the AM_CONDITIONAL macros need to execute or
     220# automake will complain. Really the only thing we need to suppress is the
     221# check that the default solver exists. All the rest is irrelevant when Cbc
     222# isn't present (hence OsiCbc will be configured but not actually compiled).
     223
     224# Process the with-osicbc-default-solver option.
     225
     226AC_ARG_WITH([osicbc-default-solver],
     227  AS_HELP_STRING([--with-osicbc-default-solver],
     228     [specify underlying solver for OsiCbc (default clp)]),
     229     [osicbc_with_solver=$withval],
     230     [osicbc_with_solver=clp])
     231
     232case "${osicbc_with_solver}" in
     233  @<:@Cc@:>@@<:@Ll@:>@@<:@Pp@:>@*)
     234    osi_lc_solver=clp ;           
     235    osi_mc_solver=Clp ;           
     236    osi_uc_solver=CLP ;           
     237    osi_exists_solver=${coin_has_clp-"unavailable"}
     238    ;;                                             
     239  @<:@Dd@:>@@<:@Yy@:>@@<:@Ll@:>@@<:@Pp@:>@*)       
     240    osi_lc_solver=dylp ;                           
     241    osi_mc_solver=Dylp                             
     242    osi_uc_solver=DYLP                             
     243    osi_exists_solver=${coin_has_dylp-"unavailable"}
     244    ;;                                             
     245  @<:@Cc@:>@@<:@Pp@:>@@<:@Xx@:>@*)                 
     246    osi_lc_solver=cpx ;                             
     247    osi_mc_solver=Cpx                               
     248    osi_uc_solver=CPX                               
     249    osi_exists_solver=${coin_has_cpx-"unavailable"}
     250    ;;
     251  @<:@Gg@:>@@<:@Ll@:>@@<:@Pp@:>@@<:@Kk@:>@*)       
     252    osi_lc_solver=glpk ;                           
     253    osi_mc_solver=Glpk                             
     254    osi_uc_solver=GLPK                             
     255    osi_exists_solver=${coin_has_glpk-"unavailable"}
     256    ;;
     257  @<:@Gg@:>@@<:@Rr@:>@@<:@Bb@:>@*)
     258    osi_lc_solver=grb ;
     259    osi_mc_solver=Grb ;           
     260    osi_uc_solver=GRB ;           
     261    osi_exists_solver=${coin_has_grb-"unavailable"}
     262    ;;                                             
     263  @<:@Mm@:>@@<:@Ss@:>@@<:@Kk@:>@*)
     264    osi_lc_solver=msk ;
     265    osi_mc_solver=Msk
     266    osi_uc_solver=MSK
     267    osi_exists_solver=${coin_has_msk-"unavailable"}
     268    ;;
     269  @<:@Ss@:>@@<:@Yy@:>@@<:@Mm@:>@*)
     270    osi_lc_solver=sym ;
     271    osi_mc_solver=Sym
     272    osi_uc_solver=SYM
     273    osi_exists_solver=${coin_has_sym-"unavailable"}
     274    ;;
     275  @<:@Vv@:>@@<:@Oo@:>@@<:@Ll@:>@*)
     276    osi_lc_solver=vol ;
     277    osi_mc_solver=Vol
     278    osi_uc_solver=VOL
     279    osi_exists_solver=${coin_has_vol-"unavailable"}
     280    ;;
     281  @<:@Xx@:>@@<:@Pp@:>@@<:@Rr@:>@*)
     282    osi_lc_solver=xpr ;
     283    osi_mc_solver=Xpr
     284    osi_uc_solver=XPR
     285    osi_exists_solver=${coin_has_xpr-"unavailable"}
     286    ;;
     287  *)
     288    osi_lc_solver=clp ;
     289    osi_mc_solver=Clp ;
     290    osi_uc_solver=CLP ;
     291    osi_exists_solver=${coin_has_clp-"unavailable"}
     292    AC_MSG_WARN([Unrecognised solver $1; defaulting to $osi_lc_solver.])
     293    ;;
     294esac
     295
     296# Check that the requested solver is available.
     297if test $osi_exists_solver = no; then
     298  AC_MSG_ERROR([selected default solver $osicbc_with_solver is unavailable.
     299  Please select an available solver using the --with-osicbc-default-solver option.])
     300fi
     301
     302# State the result.
     303AC_MSG_NOTICE([OsiCbc default solver is $osi_lc_solver])
     304
     305# And set the configuration variables.
     306AC_DEFINE_UNQUOTED([OSICBC_DFLT_SOLVER],
     307  [Osi${osi_mc_solver}SolverInterface],
     308  [define to the name of the default solver interface class, e.g., OsiClpSolverInterface])
     309AC_DEFINE_UNQUOTED([OSICBC_DFLT_SOLVER_HPP],
     310  ["Osi${osi_mc_solver}SolverInterface.hpp"],
     311  [define to the name of the .hpp file for the default solver interface class, e.g., "OsiClpSolverInterface.hpp" (include quotes)])
     312if test $osi_mc_solver = "Clp"; then
     313  AC_DEFINE([OSICBC_DFLT_SOLVER_CLP],[1],[define this symbol if clp is the default solver])
     314fi
     315
     316# Last but not least, we need automake conditionals.
     317AM_CONDITIONAL([OSICBC_DFLT_SOLVER_CLP],[test $osi_mc_solver = Clp])
     318AM_CONDITIONAL([OSICBC_DFLT_SOLVER_CPX],[test $osi_mc_solver = Cpx])
     319AM_CONDITIONAL([OSICBC_DFLT_SOLVER_DYLP],[test $osi_mc_solver = Dylp])
     320AM_CONDITIONAL([OSICBC_DFLT_SOLVER_GLPK],[test $osi_mc_solver = Glpk])
     321AM_CONDITIONAL([OSICBC_DFLT_SOLVER_GRB],[test $osi_mc_solver = Grb])
     322AM_CONDITIONAL([OSICBC_DFLT_SOLVER_MSK],[test $osi_mc_solver = Msk])
     323AM_CONDITIONAL([OSICBC_DFLT_SOLVER_SYM],[test $osi_mc_solver = Sym])
     324AM_CONDITIONAL([OSICBC_DFLT_SOLVER_VOL],[test $osi_mc_solver = Vol])
     325AM_CONDITIONAL([OSICBC_DFLT_SOLVER_XPR],[test $osi_mc_solver = Xpr])
     326
     327##############################################################################
    201328#                   VPATH links for example input files                      #
    202329##############################################################################
     
    218345                 examples/Makefile
    219346                 src/Makefile
     347                 src/OsiCbc/Makefile
    220348                 test/Makefile
    221349                 cbc_addlibs.txt
    222                  cbc.pc cbc-uninstalled.pc])
     350                 cbc.pc cbc-uninstalled.pc
     351                 osi-cbc.pc osi-cbc-uninstalled.pc])
    223352
    224353# Here put the location and name of the configuration header file
  • branches/split/Cbc/inc/config_cbc.h.in

    r1438 r1439  
    4040/* Define to 1 if the Glpk module is available */
    4141#undef COIN_HAS_GLPK
     42
     43/* Define to 1 if the Grb module is available */
     44#undef COIN_HAS_GRB
    4245
    4346/* Define to 1 if the Miplib3 module is available */
     
    98101#undef HAVE_UNISTD_H
    99102
     103/* define to the name of the default solver interface class, e.g.,
     104   OsiClpSolverInterface */
     105#undef OSICBC_DFLT_SOLVER
     106
     107/* define this symbol if clp is the default solver */
     108#undef OSICBC_DFLT_SOLVER_CLP
     109
     110/* define to the name of the .hpp file for the default solver interface class,
     111   e.g., "OsiClpSolverInterface.hpp" (include quotes) */
     112#undef OSICBC_DFLT_SOLVER_HPP
     113
    100114/* Name of package */
    101115#undef PACKAGE
  • branches/split/Cbc/src/Makefile.am

    r1437 r1439  
    88
    99AUTOMAKE_OPTIONS = foreign
     10
     11SUBDIRS = OsiCbc
    1012
    1113########################################################################
  • branches/split/Cbc/src/Makefile.in

    r1438 r1439  
    224224DIST_SOURCES = $(libCbc_la_SOURCES) $(libCbcSolver_la_SOURCES) \
    225225        $(am__cbc_SOURCES_DIST) $(am__cbc_generic_SOURCES_DIST)
     226RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
     227        html-recursive info-recursive install-data-recursive \
     228        install-exec-recursive install-info-recursive \
     229        install-recursive installcheck-recursive installdirs-recursive \
     230        pdf-recursive ps-recursive uninstall-info-recursive \
     231        uninstall-recursive
    226232includecoinHEADERS_INSTALL = $(INSTALL_HEADER)
    227233HEADERS = $(includecoin_HEADERS)
    228234ETAGS = etags
    229235CTAGS = ctags
     236DIST_SUBDIRS = $(SUBDIRS)
    230237DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    231238ABSBUILDDIR = @ABSBUILDDIR@
     
    286293COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    287294COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     295COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
     296COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    288297COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    289298COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    332341GLPK_DATA = @GLPK_DATA@
    333342GLPK_LIBS = @GLPK_LIBS@
     343GRB_CFLAGS = @GRB_CFLAGS@
     344GRB_DATA = @GRB_DATA@
     345GRB_LIBS = @GRB_LIBS@
    334346HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    335347HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     
    365377OPT_CFLAGS = @OPT_CFLAGS@
    366378OPT_CXXFLAGS = @OPT_CXXFLAGS@
     379OSICBC_DFLT_SOLVER_CLP_FALSE = @OSICBC_DFLT_SOLVER_CLP_FALSE@
     380OSICBC_DFLT_SOLVER_CLP_TRUE = @OSICBC_DFLT_SOLVER_CLP_TRUE@
     381OSICBC_DFLT_SOLVER_CPX_FALSE = @OSICBC_DFLT_SOLVER_CPX_FALSE@
     382OSICBC_DFLT_SOLVER_CPX_TRUE = @OSICBC_DFLT_SOLVER_CPX_TRUE@
     383OSICBC_DFLT_SOLVER_DYLP_FALSE = @OSICBC_DFLT_SOLVER_DYLP_FALSE@
     384OSICBC_DFLT_SOLVER_DYLP_TRUE = @OSICBC_DFLT_SOLVER_DYLP_TRUE@
     385OSICBC_DFLT_SOLVER_GLPK_FALSE = @OSICBC_DFLT_SOLVER_GLPK_FALSE@
     386OSICBC_DFLT_SOLVER_GLPK_TRUE = @OSICBC_DFLT_SOLVER_GLPK_TRUE@
     387OSICBC_DFLT_SOLVER_GRB_FALSE = @OSICBC_DFLT_SOLVER_GRB_FALSE@
     388OSICBC_DFLT_SOLVER_GRB_TRUE = @OSICBC_DFLT_SOLVER_GRB_TRUE@
     389OSICBC_DFLT_SOLVER_MSK_FALSE = @OSICBC_DFLT_SOLVER_MSK_FALSE@
     390OSICBC_DFLT_SOLVER_MSK_TRUE = @OSICBC_DFLT_SOLVER_MSK_TRUE@
     391OSICBC_DFLT_SOLVER_SYM_FALSE = @OSICBC_DFLT_SOLVER_SYM_FALSE@
     392OSICBC_DFLT_SOLVER_SYM_TRUE = @OSICBC_DFLT_SOLVER_SYM_TRUE@
     393OSICBC_DFLT_SOLVER_VOL_FALSE = @OSICBC_DFLT_SOLVER_VOL_FALSE@
     394OSICBC_DFLT_SOLVER_VOL_TRUE = @OSICBC_DFLT_SOLVER_VOL_TRUE@
     395OSICBC_DFLT_SOLVER_XPR_FALSE = @OSICBC_DFLT_SOLVER_XPR_FALSE@
     396OSICBC_DFLT_SOLVER_XPR_TRUE = @OSICBC_DFLT_SOLVER_XPR_TRUE@
    367397OSIDOCDIR = @OSIDOCDIR@
    368398OSIOBJDIR = @OSIOBJDIR@
     
    451481target_alias = @target_alias@
    452482AUTOMAKE_OPTIONS = foreign
     483SUBDIRS = OsiCbc
    453484
    454485########################################################################
     
    690721# You only need to adapt the following line
    691722ConfigHeader = CbcConfig.h
    692 all: all-am
     723all: all-recursive
    693724
    694725.SUFFIXES:
     
    929960        done
    930961
     962# This directory's subdirectories are mostly independent; you can cd
     963# into them and run `make' without going through this Makefile.
     964# To change the values of `make' variables: instead of editing Makefiles,
     965# (1) if the variable is set in `config.status', edit `config.status'
     966#     (which will cause the Makefiles to be regenerated when you run `make');
     967# (2) otherwise, pass the desired values on the `make' command line.
     968$(RECURSIVE_TARGETS):
     969        @failcom='exit 1'; \
     970        for f in x $$MAKEFLAGS; do \
     971          case $$f in \
     972            *=* | --[!k]*);; \
     973            *k*) failcom='fail=yes';; \
     974          esac; \
     975        done; \
     976        dot_seen=no; \
     977        target=`echo $@ | sed s/-recursive//`; \
     978        list='$(SUBDIRS)'; for subdir in $$list; do \
     979          echo "Making $$target in $$subdir"; \
     980          if test "$$subdir" = "."; then \
     981            dot_seen=yes; \
     982            local_target="$$target-am"; \
     983          else \
     984            local_target="$$target"; \
     985          fi; \
     986          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
     987          || eval $$failcom; \
     988        done; \
     989        if test "$$dot_seen" = "no"; then \
     990          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
     991        fi; test -z "$$fail"
     992
     993mostlyclean-recursive clean-recursive distclean-recursive \
     994maintainer-clean-recursive:
     995        @failcom='exit 1'; \
     996        for f in x $$MAKEFLAGS; do \
     997          case $$f in \
     998            *=* | --[!k]*);; \
     999            *k*) failcom='fail=yes';; \
     1000          esac; \
     1001        done; \
     1002        dot_seen=no; \
     1003        case "$@" in \
     1004          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
     1005          *) list='$(SUBDIRS)' ;; \
     1006        esac; \
     1007        rev=''; for subdir in $$list; do \
     1008          if test "$$subdir" = "."; then :; else \
     1009            rev="$$subdir $$rev"; \
     1010          fi; \
     1011        done; \
     1012        rev="$$rev ."; \
     1013        target=`echo $@ | sed s/-recursive//`; \
     1014        for subdir in $$rev; do \
     1015          echo "Making $$target in $$subdir"; \
     1016          if test "$$subdir" = "."; then \
     1017            local_target="$$target-am"; \
     1018          else \
     1019            local_target="$$target"; \
     1020          fi; \
     1021          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
     1022          || eval $$failcom; \
     1023        done && test -z "$$fail"
     1024tags-recursive:
     1025        list='$(SUBDIRS)'; for subdir in $$list; do \
     1026          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
     1027        done
     1028ctags-recursive:
     1029        list='$(SUBDIRS)'; for subdir in $$list; do \
     1030          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
     1031        done
     1032
    9311033ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    9321034        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     
    9391041tags: TAGS
    9401042
    941 TAGS: $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     1043TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
    9421044                $(TAGS_FILES) $(LISP)
    9431045        tags=; \
    9441046        here=`pwd`; \
     1047        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
     1048          include_option=--etags-include; \
     1049          empty_fix=.; \
     1050        else \
     1051          include_option=--include; \
     1052          empty_fix=; \
     1053        fi; \
     1054        list='$(SUBDIRS)'; for subdir in $$list; do \
     1055          if test "$$subdir" = .; then :; else \
     1056            test ! -f $$subdir/TAGS || \
     1057              tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
     1058          fi; \
     1059        done; \
    9451060        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
    9461061        unique=`for i in $$list; do \
     
    9551070        fi
    9561071ctags: CTAGS
    957 CTAGS: $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     1072CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
    9581073                $(TAGS_FILES) $(LISP)
    9591074        tags=; \
     
    10051120          fi; \
    10061121        done
     1122        list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
     1123          if test "$$subdir" = .; then :; else \
     1124            test -d "$(distdir)/$$subdir" \
     1125            || $(mkdir_p) "$(distdir)/$$subdir" \
     1126            || exit 1; \
     1127            distdir=`$(am__cd) $(distdir) && pwd`; \
     1128            top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
     1129            (cd $$subdir && \
     1130              $(MAKE) $(AM_MAKEFLAGS) \
     1131                top_distdir="$$top_distdir" \
     1132                distdir="$$distdir/$$subdir" \
     1133                distdir) \
     1134              || exit 1; \
     1135          fi; \
     1136        done
    10071137check-am: all-am
    1008 check: check-am
     1138check: check-recursive
    10091139all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS)
    1010 installdirs:
     1140installdirs: installdirs-recursive
     1141installdirs-am:
    10111142        for dir in "$(DESTDIR)$(coinlibdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includecoindir)"; do \
    10121143          test -z "$$dir" || $(mkdir_p) "$$dir"; \
    10131144        done
    1014 install: install-am
    1015 install-exec: install-exec-am
    1016 install-data: install-data-am
    1017 uninstall: uninstall-am
     1145install: install-recursive
     1146install-exec: install-exec-recursive
     1147install-data: install-data-recursive
     1148uninstall: uninstall-recursive
    10181149
    10191150install-am: all-am
    10201151        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    10211152
    1022 installcheck: installcheck-am
     1153installcheck: installcheck-recursive
    10231154install-strip:
    10241155        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     
    10361167        @echo "This command is intended for maintainers to use"
    10371168        @echo "it deletes files that may require special tools to rebuild."
    1038 clean: clean-am
     1169clean: clean-recursive
    10391170
    10401171clean-am: clean-binPROGRAMS clean-coinlibLTLIBRARIES clean-generic \
    10411172        clean-libtool mostlyclean-am
    10421173
    1043 distclean: distclean-am
     1174distclean: distclean-recursive
    10441175        -rm -rf ./$(DEPDIR)
    10451176        -rm -f Makefile
     
    10471178        distclean-libtool distclean-tags
    10481179
    1049 dvi: dvi-am
     1180dvi: dvi-recursive
    10501181
    10511182dvi-am:
    10521183
    1053 html: html-am
    1054 
    1055 info: info-am
     1184html: html-recursive
     1185
     1186info: info-recursive
    10561187
    10571188info-am:
     
    10611192install-exec-am: install-binPROGRAMS install-exec-local
    10621193
    1063 install-info: install-info-am
     1194install-info: install-info-recursive
    10641195
    10651196install-man:
     
    10671198installcheck-am:
    10681199
    1069 maintainer-clean: maintainer-clean-am
     1200maintainer-clean: maintainer-clean-recursive
    10701201        -rm -rf ./$(DEPDIR)
    10711202        -rm -f Makefile
    10721203maintainer-clean-am: distclean-am maintainer-clean-generic
    10731204
    1074 mostlyclean: mostlyclean-am
     1205mostlyclean: mostlyclean-recursive
    10751206
    10761207mostlyclean-am: mostlyclean-compile mostlyclean-generic \
    10771208        mostlyclean-libtool
    10781209
    1079 pdf: pdf-am
     1210pdf: pdf-recursive
    10801211
    10811212pdf-am:
    10821213
    1083 ps: ps-am
     1214ps: ps-recursive
    10841215
    10851216ps-am:
     
    10881219        uninstall-includecoinHEADERS uninstall-info-am uninstall-local
    10891220
    1090 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
    1091         clean-coinlibLTLIBRARIES clean-generic clean-libtool ctags \
    1092         distclean distclean-compile distclean-generic \
    1093         distclean-libtool distclean-tags distdir dvi dvi-am html \
     1221uninstall-info: uninstall-info-recursive
     1222
     1223.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
     1224        clean clean-binPROGRAMS clean-coinlibLTLIBRARIES clean-generic \
     1225        clean-libtool clean-recursive ctags ctags-recursive distclean \
     1226        distclean-compile distclean-generic distclean-libtool \
     1227        distclean-recursive distclean-tags distdir dvi dvi-am html \
    10941228        html-am info info-am install install-am install-binPROGRAMS \
    10951229        install-coinlibLTLIBRARIES install-data install-data-am \
     
    10971231        install-includecoinHEADERS install-info install-info-am \
    10981232        install-man install-strip installcheck installcheck-am \
    1099         installdirs maintainer-clean maintainer-clean-generic \
     1233        installdirs installdirs-am maintainer-clean \
     1234        maintainer-clean-generic maintainer-clean-recursive \
    11001235        mostlyclean mostlyclean-compile mostlyclean-generic \
    1101         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
    1102         uninstall-am uninstall-binPROGRAMS \
    1103         uninstall-coinlibLTLIBRARIES uninstall-includecoinHEADERS \
    1104         uninstall-info-am uninstall-local
     1236        mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
     1237        tags tags-recursive uninstall uninstall-am \
     1238        uninstall-binPROGRAMS uninstall-coinlibLTLIBRARIES \
     1239        uninstall-includecoinHEADERS uninstall-info-am uninstall-local
    11051240
    11061241
  • branches/split/Cbc/test/Makefile.am

    r1437 r1439  
    1313########################################################################
    1414
    15 CBC_TEST_TGTS = gamstests
     15CBC_TEST_TGTS = gamstests ositests
    1616
    1717if COIN_HAS_CLP
     
    2525
    2626cbcflags =
     27ositestsflags =
    2728if COIN_HAS_SAMPLE
    2829  cbcflags += -dirSample `$(CYGPATH_W) $(SAMPLE_DATA)`
     30  ositestsflags += -mpsDir=`$(CYGPATH_W) $(SAMPLE_DATA)`
    2931endif
    3032cbcflags += -unitTest
    3133if COIN_HAS_MIPLIB3
    3234  cbcflags += -dirMiplib `$(CYGPATH_W) $(MIPLIB3_DATA)` -miplib
     35endif
     36if COIN_HAS_NETLIB
     37  ositestsflags += -netlibDir=`$(CYGPATH_W) $(NETLIB_DATA)` -testOsiSolverInterface
    3338endif
    3439
     
    5257.PHONY: test
    5358
    54 bin_PROGRAMS = gamsTest
     59bin_PROGRAMS = gamsTest osiUnitTest
     60
    5561gamsTest_SOURCES = gamsTest.cpp
    5662gamsTest_LDADD = ../src/libCbcSolver.la ../src/libCbc.la $(COINDEPEND_LIBS) $(ADDLIBS)
     
    105111
    106112########################################################################
     113#                         unitTest for OsiCbc                          #
     114########################################################################
     115
     116osiUnitTest_SOURCES = osiUnitTest.cpp OsiCbcSolverInterfaceTest.cpp
     117
     118osiUnitTest_LDADD = ../src/libCbc.la ../src/OsiCbc/libOsiCbc.la $(COINDEPEND_LIBS) $(OSITESTS_LIBS) $(ADDLIBS)
     119
     120AM_CPPFLAGS += $(OSITESTS_CFLAGS) \
     121        -I`$(CYGPATH_W) $(srcdir)/../src/OsiCbc`
     122
     123ositests: osiUnitTest$(EXEEXT)
     124        ./osiUnitTest$(EXEEXT) $(ositestsflags)
     125
     126########################################################################
    107127#                          Cleaning stuff                              #
    108128########################################################################
  • branches/split/Cbc/test/Makefile.in

    r1438 r1439  
    4646@CBC_BUILD_CBC_GENERIC_TRUE@@COIN_HAS_SAMPLE_TRUE@am__append_2 = test_cbc_generic
    4747@COIN_HAS_SAMPLE_TRUE@am__append_3 = -dirSample `$(CYGPATH_W) $(SAMPLE_DATA)`
    48 @COIN_HAS_MIPLIB3_TRUE@am__append_4 = -dirMiplib `$(CYGPATH_W) $(MIPLIB3_DATA)` -miplib
    49 bin_PROGRAMS = gamsTest$(EXEEXT)
    50 @COIN_HAS_CLP_TRUE@am__append_5 = $(CLP_CFLAGS)
    51 @COIN_HAS_CLP_TRUE@am__append_6 = $(CLP_LIBS)
    52 @COIN_HAS_CPX_TRUE@am__append_7 = $(CPX_CFLAGS)
    53 @COIN_HAS_CPX_TRUE@am__append_8 = $(CPX_LIBS)
    54 @COIN_HAS_DYLP_TRUE@am__append_9 = $(DYLP_CFLAGS)
    55 @COIN_HAS_DYLP_TRUE@am__append_10 = $(DYLP_LIBS)
    56 @COIN_HAS_GLPK_TRUE@am__append_11 = $(GLPK_CFLAGS)
    57 @COIN_HAS_GLPK_TRUE@am__append_12 = $(GLPK_LIBS)
    58 @COIN_HAS_MSK_TRUE@am__append_13 = $(MSK_CFLAGS)
    59 @COIN_HAS_MSK_TRUE@am__append_14 = $(MSK_LIBS)
     48@COIN_HAS_SAMPLE_TRUE@am__append_4 = -mpsDir=`$(CYGPATH_W) $(SAMPLE_DATA)`
     49@COIN_HAS_MIPLIB3_TRUE@am__append_5 = -dirMiplib `$(CYGPATH_W) $(MIPLIB3_DATA)` -miplib
     50@COIN_HAS_NETLIB_TRUE@am__append_6 = -netlibDir=`$(CYGPATH_W) $(NETLIB_DATA)` -testOsiSolverInterface
     51bin_PROGRAMS = gamsTest$(EXEEXT) osiUnitTest$(EXEEXT)
     52@COIN_HAS_CLP_TRUE@am__append_7 = $(CLP_CFLAGS)
     53@COIN_HAS_CLP_TRUE@am__append_8 = $(CLP_LIBS)
     54@COIN_HAS_CPX_TRUE@am__append_9 = $(CPX_CFLAGS)
     55@COIN_HAS_CPX_TRUE@am__append_10 = $(CPX_LIBS)
     56@COIN_HAS_DYLP_TRUE@am__append_11 = $(DYLP_CFLAGS)
     57@COIN_HAS_DYLP_TRUE@am__append_12 = $(DYLP_LIBS)
     58@COIN_HAS_GLPK_TRUE@am__append_13 = $(GLPK_CFLAGS)
     59@COIN_HAS_GLPK_TRUE@am__append_14 = $(GLPK_LIBS)
     60@COIN_HAS_MSK_TRUE@am__append_15 = $(MSK_CFLAGS)
     61@COIN_HAS_MSK_TRUE@am__append_16 = $(MSK_LIBS)
    6062
    6163# if COIN_HAS_SPX
     
    6365#   gamsTest_LDADD += $(SPX_LIBS)
    6466# endif
    65 @COIN_HAS_VOL_TRUE@am__append_15 = $(VOL_CFLAGS)
    66 @COIN_HAS_VOL_TRUE@am__append_16 = $(VOL_LIBS)
    67 @COIN_HAS_XPR_TRUE@am__append_17 = $(XPR_CFLAGS)
    68 @COIN_HAS_XPR_TRUE@am__append_18 = $(XPR_LIBS)
    69 @COIN_HAS_ASL_TRUE@am__append_19 = $(ASL_CFLAGS)
    70 @COIN_HAS_ASL_TRUE@am__append_20 = $(ASL_LIBS)
     67@COIN_HAS_VOL_TRUE@am__append_17 = $(VOL_CFLAGS)
     68@COIN_HAS_VOL_TRUE@am__append_18 = $(VOL_LIBS)
     69@COIN_HAS_XPR_TRUE@am__append_19 = $(XPR_CFLAGS)
     70@COIN_HAS_XPR_TRUE@am__append_20 = $(XPR_LIBS)
     71@COIN_HAS_ASL_TRUE@am__append_21 = $(ASL_CFLAGS)
     72@COIN_HAS_ASL_TRUE@am__append_22 = $(ASL_LIBS)
    7173subdir = test
    7274DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
     
    99101        $(am__DEPENDENCIES_6) $(am__DEPENDENCIES_7) \
    100102        $(am__DEPENDENCIES_8) $(am__DEPENDENCIES_9)
     103am_osiUnitTest_OBJECTS = osiUnitTest.$(OBJEXT) \
     104        OsiCbcSolverInterfaceTest.$(OBJEXT)
     105osiUnitTest_OBJECTS = $(am_osiUnitTest_OBJECTS)
     106osiUnitTest_DEPENDENCIES = ../src/libCbc.la ../src/OsiCbc/libOsiCbc.la \
     107        $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
     108        $(am__DEPENDENCIES_1)
    101109DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/inc
    102110depcomp = $(SHELL) $(top_srcdir)/../depcomp
     
    110118CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
    111119        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
    112 SOURCES = $(gamsTest_SOURCES)
    113 DIST_SOURCES = $(gamsTest_SOURCES)
     120SOURCES = $(gamsTest_SOURCES) $(osiUnitTest_SOURCES)
     121DIST_SOURCES = $(gamsTest_SOURCES) $(osiUnitTest_SOURCES)
    114122ETAGS = etags
    115123CTAGS = ctags
     
    172180COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    173181COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     182COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
     183COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    174184COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    175185COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    218228GLPK_DATA = @GLPK_DATA@
    219229GLPK_LIBS = @GLPK_LIBS@
     230GRB_CFLAGS = @GRB_CFLAGS@
     231GRB_DATA = @GRB_DATA@
     232GRB_LIBS = @GRB_LIBS@
    220233HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    221234HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     
    251264OPT_CFLAGS = @OPT_CFLAGS@
    252265OPT_CXXFLAGS = @OPT_CXXFLAGS@
     266OSICBC_DFLT_SOLVER_CLP_FALSE = @OSICBC_DFLT_SOLVER_CLP_FALSE@
     267OSICBC_DFLT_SOLVER_CLP_TRUE = @OSICBC_DFLT_SOLVER_CLP_TRUE@
     268OSICBC_DFLT_SOLVER_CPX_FALSE = @OSICBC_DFLT_SOLVER_CPX_FALSE@
     269OSICBC_DFLT_SOLVER_CPX_TRUE = @OSICBC_DFLT_SOLVER_CPX_TRUE@
     270OSICBC_DFLT_SOLVER_DYLP_FALSE = @OSICBC_DFLT_SOLVER_DYLP_FALSE@
     271OSICBC_DFLT_SOLVER_DYLP_TRUE = @OSICBC_DFLT_SOLVER_DYLP_TRUE@
     272OSICBC_DFLT_SOLVER_GLPK_FALSE = @OSICBC_DFLT_SOLVER_GLPK_FALSE@
     273OSICBC_DFLT_SOLVER_GLPK_TRUE = @OSICBC_DFLT_SOLVER_GLPK_TRUE@
     274OSICBC_DFLT_SOLVER_GRB_FALSE = @OSICBC_DFLT_SOLVER_GRB_FALSE@
     275OSICBC_DFLT_SOLVER_GRB_TRUE = @OSICBC_DFLT_SOLVER_GRB_TRUE@
     276OSICBC_DFLT_SOLVER_MSK_FALSE = @OSICBC_DFLT_SOLVER_MSK_FALSE@
     277OSICBC_DFLT_SOLVER_MSK_TRUE = @OSICBC_DFLT_SOLVER_MSK_TRUE@
     278OSICBC_DFLT_SOLVER_SYM_FALSE = @OSICBC_DFLT_SOLVER_SYM_FALSE@
     279OSICBC_DFLT_SOLVER_SYM_TRUE = @OSICBC_DFLT_SOLVER_SYM_TRUE@
     280OSICBC_DFLT_SOLVER_VOL_FALSE = @OSICBC_DFLT_SOLVER_VOL_FALSE@
     281OSICBC_DFLT_SOLVER_VOL_TRUE = @OSICBC_DFLT_SOLVER_VOL_TRUE@
     282OSICBC_DFLT_SOLVER_XPR_FALSE = @OSICBC_DFLT_SOLVER_XPR_FALSE@
     283OSICBC_DFLT_SOLVER_XPR_TRUE = @OSICBC_DFLT_SOLVER_XPR_TRUE@
    253284OSIDOCDIR = @OSIDOCDIR@
    254285OSIOBJDIR = @OSIOBJDIR@
     
    341372#                         unitTest for Cbc                             #
    342373########################################################################
    343 CBC_TEST_TGTS = gamstests $(am__append_1) $(am__append_2)
    344 cbcflags = $(am__append_3) -unitTest $(am__append_4)
     374CBC_TEST_TGTS = gamstests ositests $(am__append_1) $(am__append_2)
     375cbcflags = $(am__append_3) -unitTest $(am__append_5)
     376ositestsflags = $(am__append_4) $(am__append_6)
    345377gamsTest_SOURCES = gamsTest.cpp
    346378gamsTest_LDADD = ../src/libCbcSolver.la ../src/libCbc.la \
    347         $(COINDEPEND_LIBS) $(ADDLIBS) $(am__append_6) $(am__append_8) \
    348         $(am__append_10) $(am__append_12) $(am__append_14) \
    349         $(am__append_16) $(am__append_18) $(am__append_20)
     379        $(COINDEPEND_LIBS) $(ADDLIBS) $(am__append_8) $(am__append_10) \
     380        $(am__append_12) $(am__append_14) $(am__append_16) \
     381        $(am__append_18) $(am__append_20) $(am__append_22)
    350382gamsTest_LDFLAGS = -rpath $(libdir)
    351383AM_CPPFLAGS = -I`$(CYGPATH_W) $(srcdir)/../src` $(COINDEPEND_CFLAGS) \
    352         $(am__append_5) $(am__append_7) $(am__append_9) \
    353         $(am__append_11) $(am__append_13) $(am__append_15) \
    354         $(am__append_17) $(am__append_19)
     384        $(am__append_7) $(am__append_9) $(am__append_11) \
     385        $(am__append_13) $(am__append_15) $(am__append_17) \
     386        $(am__append_19) $(am__append_21) $(OSITESTS_CFLAGS) \
     387        -I`$(CYGPATH_W) $(srcdir)/../src/OsiCbc`
     388
     389########################################################################
     390#                         unitTest for OsiCbc                          #
     391########################################################################
     392osiUnitTest_SOURCES = osiUnitTest.cpp OsiCbcSolverInterfaceTest.cpp
     393osiUnitTest_LDADD = ../src/libCbc.la ../src/OsiCbc/libOsiCbc.la $(COINDEPEND_LIBS) $(OSITESTS_LIBS) $(ADDLIBS)
    355394
    356395########################################################################
     
    425464        @rm -f gamsTest$(EXEEXT)
    426465        $(CXXLINK) $(gamsTest_LDFLAGS) $(gamsTest_OBJECTS) $(gamsTest_LDADD) $(LIBS)
     466osiUnitTest$(EXEEXT): $(osiUnitTest_OBJECTS) $(osiUnitTest_DEPENDENCIES)
     467        @rm -f osiUnitTest$(EXEEXT)
     468        $(CXXLINK) $(osiUnitTest_LDFLAGS) $(osiUnitTest_OBJECTS) $(osiUnitTest_LDADD) $(LIBS)
    427469
    428470mostlyclean-compile:
     
    432474        -rm -f *.tab.c
    433475
     476@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/OsiCbcSolverInterfaceTest.Po@am__quote@
    434477@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gamsTest.Po@am__quote@
     478@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/osiUnitTest.Po@am__quote@
    435479
    436480.cpp.o:
     
    651695
    652696.PHONY: test
     697
     698ositests: osiUnitTest$(EXEEXT)
     699        ./osiUnitTest$(EXEEXT) $(ositestsflags)
    653700# Tell versions [3.59,3.63) of GNU make to not export all variables.
    654701# Otherwise a system limit (for SysV at least) may be exceeded.
Note: See TracChangeset for help on using the changeset viewer.